## atari800 0.6.2

=== Makefile ===
#
# Note: x11-nas and xview-nas versions are linked with -lsocket and
#       -lnsl which is required for the Sun versions. Remove them
#       if they cause a problem on your system.
#

CC		= gcc
CPPFLAGS	= $(OTHER)
CFLAGS		= -c -O6 -DGNU_C
LD		= gcc
LDFLAGS		=
LDLIBS		= -lm

PREFIX		= /usr/local
BIN_PATH	= ${PREFIX}/bin
LIB_PATH	= ${PREFIX}/lib
MAN_PATH	= ${PREFIX}/man

default :
	@echo "To build the Atari 800 Emulator, type:"
	@echo "make <version>"
	@echo ""
	@echo "where <version> is one of"
	@echo "  basic"
	@echo "  freebsd-x11 freebsd-x11-shm"
	@echo "  freebsd-xview freebsd-xview-shm"
	@echo "  linux-svgalib linux-svgalib-nas"
	@echo "  linux-x11-nas linux-x11-nas-shm"
	@echo "  linux-xview-nas linux-xview-nas-shm"
	@echo "  x11 x11-shm x11-nas x11-nas-shm"
	@echo "  xview xview-shm xview-nas xview-nas-shm"
	@echo "  motif"
	@echo "  hp9000-ansic-x11"
	@echo "  curses sunos-curses linux-ncurses freebsd-ncurses"
	@echo ""
	@echo "To reconfigure options, type: make config"
	@echo "To clean directory, type: make clean"
	@echo "To install the Emulator, type:"
	@echo ""
	@echo "make install-svgalib"
	@echo "make install"

basic :
	make atari800 \
		CPPFLAGS="-DBASIC" \
		LDLIBS="-lm" \
		OBJ="atari_basic.o"

linux-svgalib :
	make atari800 \
		LDLIBS="-lvgagl -lvga -lm" \
		OBJ="atari_svgalib.o"

linux-svgalib-nas :
	make atari800 \
		OTHER="-DNAS" \
		LDFLAGS="-L/usr/X11/lib" \
		LDLIBS="-lvgagl -lvga -lm -laudio -lXau" \
		OBJ="atari_svgalib.o nas.o"

linux-x11-nas :
	make atari800 \
		CPPFLAGS="-I/usr/openwin/include -DNAS" \
		LDFLAGS="-L/usr/X11/lib -L/usr/openwin/lib" \
		LDLIBS="-laudio -lXau -lX11 -lm" \
		OBJ="atari_x11.o nas.o"

linux-x11-nas-shm :
	make atari800 \
		CPPFLAGS="-I/usr/openwin/include -DNAS -DSHM" \
		LDFLAGS="-L/usr/X11/lib -L/usr/openwin/lib" \
		LDLIBS="-laudio -lXau -lX11 -lXext -lm" \
		OBJ="atari_x11.o nas.o"

linux-xview-nas :
	make atari800 \
		OTHER="-I/usr/openwin/include -DXVIEW -DNAS" \
		LDFLAGS="-L/usr/openwin/lib -L/usr/X11/lib" \
		LDLIBS="-lxview -lolgx -laudio -lXau -lX11 -lm" \
		OBJ="atari_x11.o nas.o"

linux-xview-nas-shm :
	make atari800 \
		OTHER="-I/usr/openwin/include -DXVIEW -DNAS -DSHM" \
		LDFLAGS="-L/usr/openwin/lib -L/usr/X11/lib" \
		LDLIBS="-lxview -lolgx -laudio -lXau -lX11 -lXext -lm" \
		OBJ="atari_x11.o nas.o"

x11 :
	make atari800 \
		CPPFLAGS="-I/usr/openwin/include" \
		LDFLAGS="-L/usr/X11/lib -L/usr/openwin/lib" \
		LDLIBS="-lX11 -lm" \
		OBJ="atari_x11.o"

x11-shm :
	make atari800 \
		CPPFLAGS="-I/usr/openwin/include -DSHM" \
		LDFLAGS="-L/usr/X11/lib -L/usr/openwin/lib" \
		LDLIBS="-lX11 -lXext -lm" \
		OBJ="atari_x11.o"

x11-nas :
	@echo "******************************************************"
	@echo "* Remove -lsocket and -lnsl if they produce an error *"
	@echo "******************************************************"
	make atari800 \
		CPPFLAGS="-I/usr/openwin/include -DNAS" \
		LDFLAGS="-L/usr/X11/lib -L/usr/openwin/lib" \
		LDLIBS="-laudio -lXau -lX11 -lsocket -lnsl -lm" \
		OBJ="atari_x11.o nas.o"

x11-nas-shm :
	@echo "******************************************************"
	@echo "* Remove -lsocket and -lnsl if they produce an error *"
	@echo "******************************************************"
	make atari800 \
		CPPFLAGS="-I/usr/openwin/include -DNAS -DSHM" \
		LDFLAGS="-L/usr/X11/lib -L/usr/openwin/lib" \
		LDLIBS="-laudio -lXau -lX11 -lXext -lsocket -lnsl -lm" \
		OBJ="atari_x11.o nas.o"

hp9000-ansic-x11 :
	make atari800 \
		CC="cc" \
		CPPFLAGS="-D_POSIX_SOURCE" \
		CFLAGS="-c -O -Aa -I/usr/include/X11R5" \
		LD="cc" \
		LDFLAGS="-L/usr/lib/X11R5" \
		LDLIBS="-lX11 -lm" \
		OBJ="atari_x11.o"

xview :
	make atari800 \
		OTHER="-I/usr/openwin/include -DXVIEW" \
		LDFLAGS="-L/usr/openwin/lib -L/usr/X11/lib" \
		LDLIBS="-lxview -lolgx -lX11 -lm" \
		OBJ="atari_x11.o"

xview-shm :
	make atari800 \
		OTHER="-I/usr/openwin/include -DXVIEW -DSHM" \
		LDFLAGS="-L/usr/openwin/lib -L/usr/X11/lib" \
		LDLIBS="-lxview -lolgx -lX11 -lXext -lm" \
		OBJ="atari_x11.o"

xview-nas :
	@echo "******************************************************"
	@echo "* Remove -lsocket and -lnsl if they produce an error *"
	@echo "******************************************************"
	make atari800 \
		OTHER="-I/usr/openwin/include -DXVIEW -DNAS" \
		LDFLAGS="-L/usr/openwin/lib -L/usr/X11/lib" \
		LDLIBS="-lxview -lolgx -laudio -lXau -lX11 -lsocket -lnsl -lm" \
		OBJ="atari_x11.o nas.o"

xview-nas-shm :
	@echo "******************************************************"
	@echo "* Remove -lsocket and -lnsl if they produce an error *"
	@echo "******************************************************"
	make atari800 \
		OTHER="-I/usr/openwin/include -DXVIEW -DNAS -DSHM" \
		LDFLAGS="-L/usr/openwin/lib -L/usr/X11/lib" \
		LDLIBS="-lxview -lolgx -laudio -lXau -lX11 -lXext -lsocket -lnsl -lm" \
		OBJ="atari_x11.o nas.o"

motif :
	make atari800 \
		OTHER="-I/opt/IXImd12s/include -DMOTIF" \
		LDFLAGS="-L/opt/IXImd12s/lib" \
		LDLIBS="-lXm -lXt -lX11 -lgen -lsocket -lm" \
		OBJ="atari_x11.o"

curses :
	make atari800 \
		CPPFLAGS="-DCURSES" \
		LDLIBS="-lcurses -lm" \
		OBJ="atari_curses.o"

sunos-curses :
	make atari800 \
		CPPFLAGS="-I/usr/5include -DCURSES" \
		LDLIBS="-lcurses -lm" \
		LDFLAGS="-L/usr/5lib" \
		OBJ="atari_curses.o"

linux-ncurses :
	make atari800 \
		CPPFLAGS="-I/usr/include/ncurses -DCURSES -DNCURSES" \
		LDLIBS="-lncurses -lm" \
		OBJ="atari_curses.o"

freebsd-ncurses :
	make atari800 \
		CPPFLAGS="-I/usr/include/ncurses -DCURSES -DNCURSES" \
		LDLIBS="-lncurses -lm" \
		OBJ="atari_curses.o"

freebsd-x11 :
	make atari800 \
		CPPFLAGS="-I/usr/X11R6/include" \
		LDFLAGS="-L/usr/X11R6/lib" \
		LDLIBS="-lX11 -lm" \
		OBJ="atari_x11.o"

freebsd-x11-shm :
	make atari800 \
		CPPFLAGS="-I/usr/X11R6/include -DSHM" \
		LDFLAGS="-L/usr/X11R6/lib" \
		LDLIBS="-lX11 -lXext -lm" \
		OBJ="atari_x11.o"

freebsd-xview : 
	make atari800 \
		OTHER="-I/usr/X11R6/include -DXVIEW" \
		LDFLAGS="-L/usr/X11R6/lib" \
		LDLIBS="-lxview -lolgx -lX11 -lm" \
		OBJ="atari_x11.o"

freebsd-xview-shm :
	make atari800 \
		OTHER="-I/usr/X11R6/include -DXVIEW -DSHM" \
		LDFLAGS="-L/usr/X11R6/lib" \
		LDLIBS="-lxview -lolgx -lX11 -lXext -lm" \
		OBJ="atari_x11.o"

#
# ======================================================
# You should not need to modify anything below this here
# ======================================================
#

INCLUDES	=	Makefile \
			config.h \
			rt-config.h \
			cpu.h \
			atari.h \
			colours.h \
			antic.h \
			gtia.h \
			pokey.h \
			pia.h \
			devices.h \
			ffp.h \
			monitor.h \
			sio.h \
			supercart.h \
			nas.h \
			platform.h

config config.h	:	configure
	./configure

configure	:	configure.o prompts.o
	$(LD) $(LDFLAGS) configure.o prompts.o $(LDLIBS) -o configure

configure.o	:	configure.c prompts.h
	$(CC) $(CPPFLAGS) $(CFLAGS) configure.c

OBJECTS	=	atari.o \
		ffp.o \
		cpu.o \
		monitor.o \
		sio.o \
		devices.o \
		antic.o \
		gtia.o \
		pokey.o \
		pia.o \
		supercart.o \
		prompts.o \
		rt-config.o

atari800	:	$(OBJECTS) $(OBJ)
	$(LD) $(LDFLAGS) $(OBJECTS) $(OBJ) $(LDLIBS) -o atari800

atari.o		:	atari.c $(INCLUDES) prompts.h
	$(CC) $(CPPFLAGS) $(CFLAGS) atari.c

ffp.o		:	ffp.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) ffp.c

cpu.o		:	cpu.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) cpu.c

monitor.o	:	monitor.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) monitor.c

sio.o		:	sio.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) sio.c

devices.o	:	devices.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) devices.c

antic.o		:	antic.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) antic.c

gtia.o		:	gtia.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) gtia.c

pokey.o		:	pokey.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) pokey.c

pia.o		:	pia.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) pia.c

supercart.o	:	supercart.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) supercart.c

atari_x11.o	:	atari_x11.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) atari_x11.c

atari_svgalib.o	:	atari_svgalib.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) atari_svgalib.c

atari_curses.o	:	atari_curses.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) atari_curses.c

atari_amiga.o	:	atari_amiga.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) atari_amiga.c

nas.o		:	nas.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) nas.c

prompts.o	:	prompts.c prompts.h
	$(CC) $(CPPFLAGS) $(CFLAGS) prompts.c

rt-config.o	:	rt-config.c $(INCLUDES)
	$(CC) $(CPPFLAGS) $(CFLAGS) rt-config.c

clean	:
	rm -f configure
	rm -f config.h
	rm -f core
	rm -f *.o

install-svgalib : install
	chown root.root ${BIN_PATH}/atari800
	chmod 4755 ${BIN_PATH}/atari800

install :
	cp atari800 ${BIN_PATH}/atari800
	cp atari800.man ${MAN_PATH}/man1/atari800.1

## atari800 0.9.8a

=== Makefile ===
all:
	@echo There are five different Makefiles for four supported architectures:
	@echo
	@echo For UNIX type \"cp Makefile.unix Makefile\"
	@echo For Amiga copy Makefile.amiga to Makefile
	@echo For MS-DOS type \"copy Makefile.dos Makefile\"
	@echo For MS-DOS with Allegro lib type \"copy Makefile.allegro Makefile\"
	@echo For Falcon type \"cp Makefile.falcon Makefile\"
	@echo
	@echo After that you can type \"make\" again.

## atari800 2.0.2

=== src/win32/msc/Makefile ===
# Makefile for Microsoft NMAKE + CL
# Invoke with:
# nmake /f win32\msc\Makefile
# from the "src" directory.

CC = cl
RC = rc
# DXSDK = D:\Progra~1\DX90SDK

DEFS =
LIBS = \
	libpng.lib zlib.lib \
	ddraw.lib dinput.lib dsound.lib dxguid.lib gdi32.lib \
	user32.lib winmm.lib
TARGET = atari800.exe

CFLAGS = /nologo /Fo$@ /O2 /Oy /W3 /I win32\msc /I .
LDFLAGS = /nologo

!IFDEF DXSDK
LIBS = $(LIBS) /link "/libpath:$(DXSDK)\Lib"
CFLAGS = $(CFLAGS) /I "$(DXSDK)\Include"
!ENDIF

OBJS = \
	antic.obj \
	atari.obj \
	binload.obj \
	cartridge.obj \
	cassette.obj \
	colours.obj \
	compfile.obj \
	cpu.obj \
	cycle_map.obj \
	devices.obj \
	gtia.obj \
	input.obj \
	log.obj \
	memory.obj \
	monitor.obj \
	mzpokeysnd.obj \
	pbi.obj \
	pia.obj \
	pokey.obj \
	pokeysnd.obj \
	remez.obj \
	rtime.obj \
	screen.obj \
	sio.obj \
	sndsave.obj \
	statesav.obj \
	ui.obj \
	ui_basic.obj \
	util.obj \
	win32\atari_win32.obj \
	win32\joystick.obj \
	win32\keyboard.obj \
	win32\main.obj \
	win32\screen_win32.obj \
	win32\sound.obj \
	win32\atari.res

all: $(TARGET)

$(TARGET): $(OBJS)
	$(CC) /Fe$(TARGET) $(LDFLAGS) $(OBJS) $(LIBS)

clean:
	del *.obj
	del win32\*.obj
	del win32\atari.res
	del $(TARGET)

## atari800 2.0.3

=== src/win32/msc/Makefile ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 CC = cl
 RC = rc
-# DXSDK = D:\Progra~1\DX90SDK
 
 DEFS =
 LIBS = \
@@ -14,13 +13,8 @@
 	user32.lib winmm.lib
 TARGET = atari800.exe
 
-CFLAGS = /nologo /Fo$@ /O2 /Oy /W3 /I win32\msc /I .
+CFLAGS = /nologo /O2 /GS- /W3 /wd4996 /I win32\msc /I .
 LDFLAGS = /nologo
-
-!IFDEF DXSDK
-LIBS = $(LIBS) /link "/libpath:$(DXSDK)\Lib"
-CFLAGS = $(CFLAGS) /I "$(DXSDK)\Include"
-!ENDIF
 
 OBJS = \
 	antic.obj \
@@ -65,6 +59,10 @@
 $(TARGET): $(OBJS)
 	$(CC) /Fe$(TARGET) $(LDFLAGS) $(OBJS) $(LIBS)
 
+# the default .c.obj rule would place the object files in the src directory
+{win32\}.c{win32\}.obj:
+	$(CC) $(CFLAGS) /c /Fo$@ $**
+
 clean:
 	del *.obj
 	del win32\*.obj

## atari800 2.1.0

=== src/win32/msc/Makefile ===
--- 
+++ 
@@ -17,16 +17,19 @@
 LDFLAGS = /nologo
 
 OBJS = \
+	afile.obj \
 	antic.obj \
 	atari.obj \
 	binload.obj \
 	cartridge.obj \
 	cassette.obj \
+	cfg.obj \
 	colours.obj \
 	compfile.obj \
 	cpu.obj \
 	cycle_map.obj \
 	devices.obj \
+	esc.obj \
 	gtia.obj \
 	input.obj \
 	log.obj \
@@ -34,6 +37,7 @@
 	monitor.obj \
 	mzpokeysnd.obj \
 	pbi.obj \
+	pbi_xld.obj \
 	pia.obj \
 	pokey.obj \
 	pokeysnd.obj \
@@ -46,6 +50,7 @@
 	ui.obj \
 	ui_basic.obj \
 	util.obj \
+	votrax.obj \
 	win32\atari_win32.obj \
 	win32\joystick.obj \
 	win32\keyboard.obj \

## atari800 2.2.1

=== src/win32/msc/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # Invoke with:
 # nmake /f win32\msc\Makefile
 # from the "src" directory.
+# Compile using DirectX 9.0 SDK (Summer 2004)
 
 CC = cl
 RC = rc
@@ -9,11 +10,12 @@
 DEFS =
 LIBS = \
 	libpng.lib zlib.lib \
-	ddraw.lib dinput.lib dsound.lib dxguid.lib gdi32.lib \
-	user32.lib winmm.lib
+	ddraw.lib dinput.lib dsound.lib dxguid.lib gdi32.lib gdiplus.lib d3d9.lib d3dx9.lib \
+	user32.lib winmm.lib advapi32.lib
 TARGET = atari800.exe
 
 CFLAGS = /nologo /O2 /GS- /W3 /wd4996 /I win32\msc /I .
+CPPFLAGS = /nologo /O2 /GS- /W3 /wd4996 /I win32\msc /I ./
 LDFLAGS = /nologo
 
 OBJS = \
@@ -25,6 +27,9 @@
 	cassette.obj \
 	cfg.obj \
 	colours.obj \
+	colours_external.obj \
+	colours_ntsc.obj \
+	colours_pal.obj \
 	compfile.obj \
 	cpu.obj \
 	cycle_map.obj \
@@ -51,11 +56,16 @@
 	ui_basic.obj \
 	util.obj \
 	votrax.obj \
+	votraxsnd.obj \
 	win32\atari_win32.obj \
 	win32\joystick.obj \
 	win32\keyboard.obj \
 	win32\main.obj \
 	win32\screen_win32.obj \
+	win32\render_gdi.obj \
+	win32\render_gdiplus.obj \
+	win32\render_directdraw.obj \
+	win32\render_direct3d.obj \
 	win32\sound.obj \
 	win32\atari.res
 
@@ -68,6 +78,9 @@
 {win32\}.c{win32\}.obj:
 	$(CC) $(CFLAGS) /c /Fo$@ $**
 
+{win32\}.cpp{win32\}.obj:
+	$(CC) $(CPPFLAGS) /c /Fo$@ $**
+
 clean:
 	del *.obj
 	del win32\*.obj

=== debian/changelog ===
atari800 (2.2.1) unstable; urgency=low

  * Initial release

 -- trompkins <maciej.stankiewicz@gmail.com>  Thu,  1 Mar 2012 19:45:20 +0100

=== debian/control ===
Source: atari800
Section: user/games
Priority: extra
Maintainer: trompkins <maciej.stankiewicz@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libreadline5-dev (>= 5.2), libpng12-dev (>= 1.2.37), libsdl1.2-dev (>= 1.2.13)
Standards-Version: 3.7.2

Package: atari800
Architecture: any
Depends: ${shlibs:Depends}
Description: Atari800 is an Atari 800, 800XL, 130XE and 5200 emulator.
XB-Maemo-Display-Name: Atari800
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAACTp
 AAAk6QFQJOf4AAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqY
 AAAXb5JfxUYAAA/YSURBVHja1Jl5kORlecc/7/G7+pjumZ57dvZgL3fJcgrE
 QkQNirjxSCAKRiqxNBWs5I9UUhpNJSWJSSUeMUaNVNSqEFwlChKJgEQUS9gA
 6oKwu6x7sOyyc+5MTx/T9+943/zRw7A3i4FU8VZ19f37Pd/nfr6PsNbyaj76
 xA/a7QZhu4V2XIxJwFoQApMkIEBKhRAS1/GpVuf57/u+Qq06j+enuxewFu0I
 tArYs6/0vnu//+DW6Zn53vdc9477P3TjNV/w7XNUF5sIIZfv2WwUWXfedYyu
 vYJlhVqDNUn3tRAIIbrfCYGU+vQAzvYYm1Cv1ygMvIaRsfNAiKV7SfryOT7/
 z7fccuvX77zp+d9/8cu3XrNz51M3fvlzH3+Tk03qnXYHaw0AicrSbIuXxwJn
 e6TUlBfmmDxymKHh8WXNua7DbKvDXXc/cN2J//nJ9l+89mitcN6FF130SKNe
 R2unCyBJcF21DAjEKw8gjkNWrl7H0ZnnmDiyFz/IoLSL52gSY1zfk2Jx6bdK
 SbLpgGzGY2wwbfI5n3w+d5KgLwD4f7BAFLXJ5vp4y9br2bv7MWYn9qC0olAY
 pNVqZTZvXJWamy8DMDzYh+dqhgeyNgiCaYTfFTiJQalunL1cQXy2RwhJu1XH
 9dKce/4bWHPOZh57+C72Pv0YSqe9fC7jplM+jWabmaMLGGMJAs9K0b5tcW5X
 Ubr9uzP5kX+w2PYprn72rvx/SWFCSJI4ora4gPayXPL697J+0+spl0sznU5b
 eZ675Bp26VnIdqN0Zat68NqDO+/8RL0ytUMgAAvWHPNIup+90gBeQCIJwzZB
 KsMFl20dvPTyd340iUOUPF6jSRIitU9PYSM2iTiy9/5zkzi6RQiFNQZr7dIj
 WU6ZrxwAIZDKRTkBUujeqFP7vcr8we8SlyaCwP9UoxnT7oTH/cXzHFrNBnG0
 SJAdprE4w/QzP7kJeLOQeikW7HI9OZvY0C9NZoHSPo4XEEdxutMsvb3TmL+u
 VZvdGof1tFIetr+HZrNJqVyh04lPyFyWMEq6biLAC/LMHv4fMr0r7+od2jBg
 LVHX3Z7XfNcK4lcHYBFCotwAIVyMCf2oXbmmfPTp32pWJ38ziZq92k2htIfS
 qe7vnCxRFDNfLJMYgzjGDTqdEK0l1iTYJEJpD6E0E/t/kMv2jt+h3eDdJg6P
 8X7RDY8lOU4VF6cBIFDaw9E9mCjSrU7prfXG1Htq8/u2tham+juNBaTUuH4P
 2s0QZAZR2iXulLCdo5SK0zRaEUlili0HECcGYUPiqEHYrmLpWqFeneK5Pfe9
 a+0F194glXO7MfFxRjhTLJwEwPXSIHxM1Li6Mrfv2rKYfEdj6sBw69BBSKXw
 Vq3AD4aISw3iJCJplYnCBqIa0GrFDPe5hK05Wu34mALV1VyrHSKTIiaKcdw0
 1oSEYRsv6GVu6nHyAxu+WRjb8oCQqog1XQsIjkFiT0qxJwFo1hfWHtlz73/W
 a0e3tPw24sd7CP/jMcxsDVxF9cJzyP/R23HzaUy9jRSCeq2C73XYtOliah3N
 oz97+pTaCsOY7Y88yUVbVjE42E+z7eD5irDTRDsBE/sfINO38j4vyF1qjAHM
 iR59UokQJ7bT937rk/t8ZjZE/SPIe3YSf/7ObroSAcImtAgpXbaF9f/0ATKd
 mOJcmdVrVtOOPbbd8RD33L+dQ4cO0+5EnHjtoYFeXNfB0YKr37SFD9xwFYND
 AzSaFhO3WKxMMDR+KWsvuPYjWPtZY+JTZ78zdaPN+sIGneslcFPsuW8Ho0A+
 3087SfCUol4pcvDAFAPTJYrNDrl0iu/cs4MvfOV7zMzOEvgax/FotcOT7l2u
 1AgCj+pik1tu/SEPPbqXT37sBi46fy2tMEOubw1zEz8n27f6M4MrL/6ukPqZ
 bjt/bD2xZ64Dazde8uPF8hzaCvTbLmAXkFSKeLU6SaXIM8DYH7yFRidiaqrC
 p774PT7+N19lZnaWdMrHGEG90Tx1A5gYwigmk/Hp7+vh6X2T3PSRr7DjF/vw
 XEM6O4Sf7mdy/wM0F+fuEUKATbpZyyRYE78wIzzfKN58883HB7Gf7pk6tOOa
 ZrXFhjdeiB0bpNrsIDIpKptXMvQnv82Ky19D5UiJu7//OPc/uOOYBi8mScxp
 64/raJRWtNsd4iQhn8tQXFhk975prr5yE34QoN009coUYava3z9yXkpI+UNr
 kxMKvzp9DHSi+MKfPfi1JyozuxlduQpvIE+t2aZdb9I7lEfFMQeeeJa9B47y
 ic98iziJ/w/FXCzHyc0fvZ7fv/6NJKRpNhZpVKcY33g1o+ve8Fpj4se7mu/6
 ktLu6V2oVS/vXrFqU5gIj8VKhc7MPMnCIk5sqD57lLmDs2QzKZ5+ZvIlC++6
 Gt9zTkqvAD95ZBedToQQoJwA7QbMHNpOvTx1j5QaITVCyONG0VMCUEpG6dzo
 NwpDa1hYKGGFwHckWVexUKpRWWxTKPQwN1d58T5FK4LAY3xsgKuuvIi3vfkS
 HOfUtXOhVKfZbHVnYRvjeDkAJvc/MGzi6GtSqm5ZEC/SzFkLXtD3l2Orz0d5
 WSqVRbRSSCXxfQelJD1ZH6VfvFPMZgJ+bdNqLtiyDiEEP3roFzSaHQLfO8WI
 CtpxEUIhhUJKjZfqo7rwDJP7H/wgcBUWzAlWP0kdUaeOtcm0cvyfjo5vvGxu
 cjdxYnAciRQCKQR9+Qzjo4UXBVCu1Pn5E/uW3+fzGXI9aYqlKs8PO8+fDWtH
 yWZ8EiTaTROFTUwcop0UM4e3ky2subt3aENvYk14RgvMTz1BaXYX9fLhj6TS
 PfjpAo1mCxD4ngYBRnhsfculZ+f3jiYV+PT1ZhFAZbFBPpdBSonnvhAP77z6
 MhAO1lqiTh2hHEDgeBmEEEzs+0Eqaje+fWwAnxJAu92g2awRRZ2HExM9ms7k
 6IQxYSwYGR6k2Tbs+uU079x6Bb/zrjecwhUEUnZ5HCklFoiThEajjTGWnkyK
 MIxRSqKX4uG6d1zGla/bREKAsZKwXe0GrHQQUuGnB2hUJzi85953xWH7hjMC
 8LwUnhcQBFmkMB+WSiC0T6PZwfUC+vvSzMzMMDG9wJc+/cdcfP764/kiY5eL
 p5Jdl5NS4Doaz3UwxpAKPMIwptFoccWvb+Lv/uJGWrHC9Xtp1YtI7YO1XRIN
 ibWGJImplQ7RaZU/e0YASRKTJAlR1EEp7ynHTf0o8FO0Wk3K1QYrVwxxzpoR
 Dh2apFar8l/f/Cve8+7LT0gEFgskpvtsrSVODO0wolZvMz27QLPV5kM3vpWv
 /uMfoh2Xnr71LJaniKNGV+C4Qxy1aNRm6bQq9A5uZPXma3AcX56xmdv75N3H
 uIMijjobFsvT+6rleQLfZ3Cwn7DTJEnACJdsJkMh53L3fQ+z7c6H+PH23S9C
 iMGbLj+XD/7ub3DF6zaj3AGM7qNRnaFWeg6pHYyJMXGIG+TJ9o5TGNpIbmAd
 nUaFOA5vT+fH3ndaADt/evuxjR9CSFrNyp3NWuXaeq3C0OAg6XSKdquOVC7S
 SROFEeOjBZr1BR5/6iBPPX2YXx6YYnauQhRGuK5m9fggq8b7ed3FG1i5okCu
 bxzt5khkQKs2R/noXkwSod2ATH4lfUPrKQxtQLoZKsVpSnOHSKUyFEY2vNfx
 Mt8+LYCnHtt2XAMupcIkyXitWjxSWyyR8j0Gh4Zp1UtLPYlAuwHayRAn0Neb
 IXAT4jimXFpAa42Ugp5sDouhUpfENoXjKKRtcXTySYTUZHIryOTHGBjZTCo3
 QrtZp1KcotmsEIUdgiBLYWgNqZ7CGiHk4dPWASU1QooXGjIBjnImvCC9LY46
 7y9XSriuQ0+2m03AErVrhO0afirPYjVkUSikdMDppdWuIgQ0WqUlLlQRRUUq
 1UmscCkMbaZ/dAu9/WswVlAqTjA7/ShxFKK0RzY3QCbb151lpKiDPXzGQmZJ
 CNst5FLPYQGlFFjzp0Kp97tuQLlcJZtJgzBYY0BIBNCqFzFxBEvshdIuJokw
 JsGYiLBdB2tI58dYse4qBlZswQvyLJZnOHzgZzQbi0jpEKTzDI6txnUDoigk
 ikLAEqRz/8oJvdDJAJIY388ihDxudPD8nnnl+LeYJPnwQrFOqVSmv7+XVrsN
 JlkKGIVyVPe1tcRhkzjuYJIIx8swOH4RA2PnkesbJ45i5mf3UykeIY4jtPbI
 94+TzQ0BEmMhDDtLlzIopdBu8DmMgWPa6ZMAOG4KqRyisImQ8pjUKFBSfMzx
 /JviRIm5+RL53hxaOcTWYk3SbbSEIIlDwk4NIRTZ/AoKI1voH3kNjpumsjDJ
 /p0/ZLE8ibUJ2dwIg8Pn4HhptJfD2O5yo0vpdF3ZmgQdZB6UUk+fyGCfwoUs
 YXuRdruGUsd/LZVeDHz/00Eq+PPSQpOFhQoDhR5CEyOsJQzbmKSb/oZXXsLg
 +MX05Edp1IpMH9lFdWGSsFNHSkmud4h0zwDa7UHpFFK7y0zc8wOMEBol1UNC
 e//m+plb7RIgcaY6sOfxby/5bYQQ6rieXSlFFEV+tVpcLBfLjpYJYyP9WGuI
 og6p7BCF4c30j2xCKofy/ASzkztpVI+ilEMmN0Q624cX5JC6a2lrEqRSCKGW
 aBSJUvqoUs42KdU2hHgSa3H9NFK7WGuQZ3KhF9Kng3ZTiBOGaM/vaSPEXzcb
 jb8tF0sU+iLWrN2Mmx4lnVtJo17m0L5HqMwfotUo4qdyFAbXEKTyCO2jvZ4l
 TshgTTfgrQWlHZRy7hdS3Sal/o6QIhQWErNERZ5uqjuVBZK4g5SKVKbAcdSG
 7W5boigWpeKh6rMHD2cnJouMja1g7Tlr8Byo1xYAQ09ugHS2F+1kENJBaR83
 6O2Og9Zgl9ZU2k0dkVJtk1J9XUq118KywAKBWaLcvSD7UizQnVdNElOvzS/v
 Ap6feBzXtUK6Hx8b7f9Ss9nhmQP7iJtzrF+/ir6+YdK5UZSbQztppNKYuIN2
 U0jldbtU7aG0d7cU8jap1F0IuUSrm1NxV78qOy0wJsJL9eM4QdeRlqwllcJN
 jfzLxLM7PpFOqYEN68YZHuyhJ9eHdrNLwqcwSdeSjtfVntb+Qan0bULIb0ip
 D4JdDtiXLPnZsdMC18sspcU6Uqjle7muS5DK/pnA3iaVQslu8fJSBZRy0U4A
 ToDWHo6XvUMqdRtC3AOiq+kTqJJXZkcmBFHYQDk9ZHqHlraIS1YQivH153y9
 1Qr/fmFm35iUWRw/T6pnFO0EaDe9Synnm9r1bheI54w1JHG4tE46u+3Ly7Pk
 s+D5WWzSIAnry6RSbEFaj4HBoeuj5szDJmnhpQfDdG7sDkzy70jxQJcG6W75
 f5UV6ssCQEhNFLaI6s9ikxYIvYwsBJSU20dWnn9uvrBuY0/f+KNgZ4WQy27y
 Sgl+2jT6ajuSV/l51QP43wEAuNZocGU61WwAAAAASUVORK5CYII=
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g -fsigned-char

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure CFLAGS="$(CFLAGS)" --target=sdl


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/atari800.
	$(MAKE) DESTDIR=$(CURDIR)/debian/atari800 install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## atari800 3.0.0

=== src/win32/msc/Makefile ===
--- 
+++ 
@@ -32,10 +32,13 @@
 	colours_pal.obj \
 	compfile.obj \
 	cpu.obj \
+	crc32.o \
 	cycle_map.obj \
 	devices.obj \
+	emuos.o \
 	esc.obj \
 	gtia.obj \
+	img_tape.o \
 	input.obj \
 	log.obj \
 	memory.obj \
@@ -52,6 +55,7 @@
 	sio.obj \
 	sndsave.obj \
 	statesav.obj \
+	sysrom.o \
 	ui.obj \
 	ui_basic.obj \
 	util.obj \

## atari800 3.1.0

=== src/win32/msc/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 OBJS = \
 	afile.obj \
 	antic.obj \
+	artifact.obj \
 	atari.obj \
 	binload.obj \
 	cartridge.obj \

=== debian/changelog ===
atari800 (3.1.0-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use autotools-dev to update config.{sub,guess} for new arches.
  * Build-depend on debhelper to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 27 Apr 2014 19:28:42 -0400

atari800 (3.1.0-1) unstable; urgency=medium

  * [947c00c] Imported Upstream version 3.1.0
  * [6d267ad] update standards version

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 15 Apr 2014 13:48:05 +0200

atari800 (3.0.0-1ubuntu2) trusty; urgency=low

  * Use autotools-dev, since autoreconf isn't necessary (doesn't use
    libtool).

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 20 Jan 2014 12:53:38 -0500

atari800 (3.0.0-1ubuntu1) trusty; urgency=low

  * Use dh-autoreconf for newer arches.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 20 Jan 2014 12:22:28 -0500

atari800 (3.0.0-1) unstable; urgency=low

  * New upstream release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 16 Mar 2013 13:02:47 +0100

atari800 (2.2.1-2) unstable; urgency=low

  * depend on libpng-dev not libpng12-dev (Closes: #662272)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 05 Mar 2012 09:29:03 +0100

atari800 (2.2.1-1) unstable; urgency=low

  * new upstream release fixes kFreeBSD and other things
    Closes: #621100

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 28 Apr 2011 18:45:09 +0200

atari800 (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Upstream dropped support for X and ncurses versions

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 06 Apr 2011 13:11:07 +0200

atari800 (2.1.0-2) unstable; urgency=low

  * Link against libreadline(6) (Closes: #553728)
  * fixes stale autoconf files

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 22 Dec 2009 21:45:05 +0100

atari800 (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * Updated atari800.cfg example config file.
  * Added dependency to libreadline5-dev.
  * added libpng12-dev to build depends
  * hopefully fixed problem with gpg key in keyring

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 05 May 2009 19:05:33 +0000

atari800 (2.0.3-1) unstable; urgency=low

  * New upstream release.
  * added calls to strip to get rid of .comment section (linda complained)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 11 Jul 2007 18:49:38 +0000

atari800 (2.0.2-1) unstable; urgency=low

  * New upstream source. Closes: #288543
  * Updated atari800.cfg example config file.
  * Package addopted, Closes: #379022

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sun, 01 Oct 2006 13:59:59 +0200

atari800 (1.3.2-1) unstable; urgency=low

  * New upstream source and new maintainer (closes: #226787).
  * Debian/control: remove debhelper and sharutils from Build-Depends.
  * Debian/rules: handle DEB_BUILD_OPTIONS=noopt,
    clean: removes src/Makefile and src/config.{h,log,status}.
  * Update config.{guess,sub} from autotools-dev-20040105.1.
  * Patch src/rdevice.c::581,583 to use '/dev/ttyS0' on all archs.
  * Add some notes of new maintainer to README.Debian - thanks Dale.

 -- Martin Albert <ma@debian.org>  Thu, 19 Feb 2004 20:09:49 +0100

atari800 (1.3.1-2) unstable; urgency=low

  * Fixed broken syntax in last changelog entry. Closes: #203707
  * Changed dependency from xlib6g-dev to xlibs-dev. Closes: #209203
  * Repaired bad patch. Now deliver upstream changelog and NEWS
  * Updated /etc/atari800.cfg example in /usr/share/doc/atari800
  *                provided by upstream author.
  * Fixed several Lintian Warnings/Errors:
  *     Removed /usr/share/doc/atari800/INSTALL.gz
  *     Removed postinst usr-doc-link code
  *     Added copyright reference to /usr/share/common-licenses

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Wed,  8 Oct 2003 17:26:37 -0400

atari800 (1.3.1-1) unstable; urgency=low

  * new upstream source
  *        updated configure files.  Closes: #193397
  * removed svgalib version, security fix installed upstream. Closes 203707

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat,  6 Sep 2003 17:14:56 -0400

atari800 (1.3.0-2) unstable; urgency=low

  * changed build depends from xlib6g-dev to xlibs-dev and libncurses-dev
  *     to libncurses5-dev. Closes: #188777
  * new system wide config file example in /usr/share/doc/atari800/atari800.cfg
  *     for details see /usr/share/doc/atari800/README.Debian

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Tue, 13 May 2003 19:00:50 -0400

atari800 (1.3.0-1) unstable; urgency=low

  * new upstream source. (error in last entry ;-)
  * modified config and added sdl target to the build

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat, 12 Apr 2003 14:56:16 -0400

atari800 (1.2.2-1) unstable; urgency=low

  * new upstream source. Finally catching up...

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat, 16 Mar 2002 20:32:22 -0500

atari800 (1.0.7-3) unstable; urgency=low

  * Compiled against libncurses5-dev. Closes: #132589

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat,  9 Feb 2002 14:32:05 -0500

atari800 (1.0.7-2) unstable; urgency=low

  * Fixed rules file so svgalib version is only built/installed
  *         on i386 architectures. Closes: #122282, #122779
  * Added patch to wrap LED_lastline in SET_LED #ifdef to allow reasonable
  *         feature selection. Thanks Stephen!
  * Fixed USAGE docs for curses mode keyboard controls to declare
  *         the F8 function key starts basic mode operations.

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Fri,  7 Dec 2001 11:47:05 -0500

atari800 (1.0.7-1) unstable; urgency=low

  * New upstream source. Closes: #81032
  * Changed Maintainer to match signature. Closes: #104829
  * Compiled with sound enabled. Closes: #70940

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat,  3 Nov 2001 17:25:15 -0500

atari800 (0.9.9f-3) unstable; urgency=low

  * Added sharutils to build-depends. Closes: #104829

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Tue, 25 Sep 2001 12:46:15 -0400

atari800 (0.9.9f-2) unstable; urgency=low

  * new maintainer...



=== debian/control ===
Source: atari800
Section: contrib/otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
Build-Depends: libsdl1.2-dev, zlib1g-dev, libreadline-dev, libgl1-mesa-dev, libpng-dev, debhelper, autotools-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.5
Vcs-Git: git://github.com/bobek/aranym800-debian.git
Vcs-Browser: https://github.com/bobek/aranym800-debian

Package: atari800
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Atari 8-bit emulator for SDL
 Atari800 is an emulator of Atari 8-bit computer systems including the 400, 800,
 1200XL, 600XL, 800XL, 65XE, 130XE, 800XE and the XE Game System,
 and also of the Atari 5200 SuperSystem console.
 .
 The Atari Operating System ROMs are not available with this package, due to
 copyright. You'll have to either make copies of them from an old Atari
 computer, or see README.Debian for other ways to obtain them.

=== debian/rules ===
#!/usr/bin/make -f
#
# This is a debian/rules make file. It supports the targets:
# build, clean, binary-indep, binary-arch, and binary
#
# Package name variables
#
P=atari800

ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Build the binary components and assemble the libraries
# =====================================================================
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	$(checkdir)
	debian/rules bld-sdl
	touch build-stamp

bld-sdl:
	cd src ; if [ -e Makefile ]; then $(MAKE) clean; fi
	dh_autotools-dev_updateconfig
	cd src ; ./configure \
		 --with-video=sdl --with-sound=sdl
	cd src ; $(MAKE)

# Clean up after a build and before building a source package
#======================================================================
clean:
	$(checkdir)
	-rm -f build-stamp
	cd src ; if [ -e Makefile ]; then $(MAKE) clean; fi; \
	 rm -f config.log config.status config.h Makefile
	dh_autotools-dev_restoreconfig
	mv ./atari800.spec ./tmp ; rm -f atari800 ; rm -f atari800.* ; mv ./tmp ./atari800.spec
	-rm -rf	debian/tmp debian/*~ *~ *.orig *.log \
		debian/files* debian/substvars* debian/debhelper.log

binary: binary-arch

# No binary independent components to this package
#======================================================================
binary-indep:
#
# No independent components
#
	echo "No independent binary components."

# Install package components into debian/tmp to be built into packages
#======================================================================
binary-arch:		checkroot build

# Clean out old tmp directory
#
	-rm -rf debian/tmp
	install -d debian/tmp

# Install installation scripts
#
	install -d debian/tmp/DEBIAN
	install -m 755 debian/postinst debian/tmp/DEBIAN/.
	install -m 755 debian/postrm debian/tmp/DEBIAN/.
	install -m 755 debian/prerm debian/tmp/DEBIAN/.

# Install docs in proper directory and gzip them
#
	install -d debian/tmp/usr/share/doc/$(P)
	cp debian/changelog debian/tmp/usr/share/doc/$(P)/changelog.Debian
	cp DOC/ChangeLog debian/tmp/usr/share/doc/$(P)/changelog
	cp DOC/NEWS debian/tmp/usr/share/doc/$(P)/NEWS
	cp DOC/CREDITS debian/tmp/usr/share/doc/$(P)/CREDITS
	cp DOC/README debian/tmp/usr/share/doc/$(P)/README
	cp DOC/USAGE debian/tmp/usr/share/doc/$(P)/USAGE
	gzip -9v debian/tmp/usr/share/doc/$(P)/*

# These are too small to gzip
#
	cp DOC/FAQ debian/tmp/usr/share/doc/$(P)/FAQ
	cp DOC/BUGS debian/tmp/usr/share/doc/$(P)/BUGS
	cp DOC/TODO debian/tmp/usr/share/doc/$(P)/TODO
	cp debian/README.Debian debian/tmp/usr/share/doc/$(P)/README.Debian
	cp debian/atari800.cfg debian/tmp/usr/share/doc/$(P)/atari800.cfg


# and don't gzip the copyright statement
#
	cp debian/copyright debian/tmp/usr/share/doc/$(P)/copyright

# install and gzip man page
#
	install -d debian/tmp/usr/share/man/man1
	install -m 644 src/$(P).man debian/tmp/usr/share/man/man1/$(P).1
	gzip -9 debian/tmp/usr/share/man/man1/$(P).1

# install menu file
#
	install -d debian/tmp/usr/share/menu
	install -m 644 debian/menu debian/tmp/usr/share/menu/$(P)

# install binaries
#
	install -d debian/tmp/usr/bin
	install -s src/$(P) debian/tmp/usr/bin/$(P)

	strip -R .comment -R .note -R .note.ABI-tag debian/tmp/usr/bin/$(P)

#	(if [ "$(ARCH)" = "i386" ]; then install debian/$(P) debian/tmp/usr/bin; \
#	else install debian/$(P).alt debian/tmp/usr/bin/$(P); fi)

# Create dependency information
#
	dpkg-shlibdeps src/$(P)

# Generate control file for the package
#
	dpkg-gencontrol -p$(P) -isp

# Clean up file ownership
#
	chown -R root.root debian/tmp

# and permissions
#
	chmod -R g-ws debian/tmp

# and build the package
#
	dpkg --build debian/tmp ..

define checkdir
	test -f ./atari800.spec
endef

# Below here is fairly generic really
checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## atari800 4.0.0

=== src/win32/msc/Makefile ===
--- 
+++ 
@@ -33,13 +33,13 @@
 	colours_pal.obj \
 	compfile.obj \
 	cpu.obj \
-	crc32.o \
+	crc32.obj \
 	cycle_map.obj \
 	devices.obj \
-	emuos.o \
+	emuos.obj \
 	esc.obj \
 	gtia.obj \
-	img_tape.o \
+	img_tape.obj \
 	input.obj \
 	log.obj \
 	memory.obj \
@@ -56,7 +56,7 @@
 	sio.obj \
 	sndsave.obj \
 	statesav.obj \
-	sysrom.o \
+	sysrom.obj \
 	ui.obj \
 	ui_basic.obj \
 	util.obj \

=== debian/changelog ===
atari800 (4.0.0-1) unstable; urgency=medium

  * [26b9009] New upstream version 4.0.0

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 27 Apr 2018 09:42:31 +0200

atari800 (3.1.0-2) unstable; urgency=medium

  * [8596bb2] update config.{sub, guess} (Closes: #762477)
  * Thank Aurelien Jarno for report and Tobias Frost for a friendly NMU

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 11 Apr 2016 08:36:31 +0200

=== debian/control ===
Source: atari800
Section: contrib/otherosfs
Priority: optional
Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
Build-Depends: libsdl1.2-dev, zlib1g-dev, libreadline-dev, libgl1-mesa-dev, libpng-dev, autotools-dev, dpkg-dev (>= 1.17.14~), autotools-dev
Standards-Version: 4.1.4
Vcs-Git: git://github.com/bobek/aranym800-debian.git
Vcs-Browser: https://github.com/bobek/aranym800-debian
Homepage: https://atari800.github.io

Package: atari800
Architecture: any
Depends: ${shlibs:Depends}
Description: Atari 8-bit emulator for SDL
 Atari800 is an emulator of Atari 8-bit computer systems including the 400, 800,
 1200XL, 600XL, 800XL, 65XE, 130XE, 800XE and the XE Game System,
 and also of the Atari 5200 SuperSystem console.
 .
 The Atari Operating System ROMs are not available with this package, due to
 copyright. You'll have to either make copies of them from an old Atari
 computer, or see README.Debian for other ways to obtain them.

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,11 @@
 
 ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+CFLAGS+=$(CPPFLAGS)
+CXXFLAGS+=$(CPPFLAGS)
 
 # Build the binary components and assemble the libraries
 # =====================================================================
@@ -23,8 +26,8 @@
 	touch build-stamp
 
 bld-sdl:
+	cp /usr/share/misc/config.guess /usr/share/misc/config.sub src
 	cd src ; if [ -e Makefile ]; then $(MAKE) clean; fi
-	dh_autotools-dev_updateconfig
 	cd src ; ./configure \
 		 --with-video=sdl --with-sound=sdl
 	cd src ; $(MAKE)
@@ -36,10 +39,10 @@
 	-rm -f build-stamp
 	cd src ; if [ -e Makefile ]; then $(MAKE) clean; fi; \
 	 rm -f config.log config.status config.h Makefile
-	dh_autotools-dev_restoreconfig
+	rm -f src/config.guess src/config.sub
 	mv ./atari800.spec ./tmp ; rm -f atari800 ; rm -f atari800.* ; mv ./tmp ./atari800.spec
 	-rm -rf	debian/tmp debian/*~ *~ *.orig *.log \
-		debian/files* debian/substvars* debian/debhelper.log
+		debian/files* debian/substvars*
 
 binary: binary-arch
 
@@ -76,7 +79,7 @@
 	cp DOC/CREDITS debian/tmp/usr/share/doc/$(P)/CREDITS
 	cp DOC/README debian/tmp/usr/share/doc/$(P)/README
 	cp DOC/USAGE debian/tmp/usr/share/doc/$(P)/USAGE
-	gzip -9v debian/tmp/usr/share/doc/$(P)/*
+	gzip -9nv debian/tmp/usr/share/doc/$(P)/*
 
 # These are too small to gzip
 #
@@ -95,7 +98,7 @@
 #
 	install -d debian/tmp/usr/share/man/man1
 	install -m 644 src/$(P).man debian/tmp/usr/share/man/man1/$(P).1
-	gzip -9 debian/tmp/usr/share/man/man1/$(P).1
+	gzip -9nv debian/tmp/usr/share/man/man1/$(P).1
 
 # install menu file
 #
@@ -108,6 +111,11 @@
 	install -s src/$(P) debian/tmp/usr/bin/$(P)
 
 	strip -R .comment -R .note -R .note.ABI-tag debian/tmp/usr/bin/$(P)
+
+	# Install lintian overrides
+
+	install -d debian/tmp/usr/share/lintian/overrides
+	install -m 644 debian/atari800.lintian-overrides debian/tmp/usr/share/lintian/overrides/atari800
 
 #	(if [ "$(ARCH)" = "i386" ]; then install debian/$(P) debian/tmp/usr/bin; \
 #	else install debian/$(P).alt debian/tmp/usr/bin/$(P); fi)

## atari800 4.1.0

=== debian/changelog ===
atari800 (4.1.0-3) unstable; urgency=medium

  * Add icon into menu (Closes: Ubuntu#1575369)
  * Bump standards to 4.5.0

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 19 Aug 2020 11:26:10 +0200

atari800 (4.1.0-2) unstable; urgency=medium

  * Modernization of package infrastructure to be able to switch
    to e.g. dh_strip (Closes: #968532)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 19 Aug 2020 11:05:34 +0200

atari800 (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Bump debhelper dependency to >= 11, since that's what is used in
    debian/compat.
  * Bump debhelper from old 11 to 12.
  * Use secure URI in Vcs control header.

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 17 Dec 2019 08:41:08 +0100

=== debian/control ===
Source: atari800
Section: contrib/otherosfs
Priority: optional
Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
Build-Depends: libsdl1.2-dev, zlib1g-dev, libreadline-dev, libgl1-mesa-dev, libpng-dev, imagemagick, dpkg-dev (>= 1.20), debhelper-compat (= 12)
Standards-Version: 4.5.0
Vcs-Git: https://github.com/bobek/aranym800-debian.git
Vcs-Browser: https://github.com/bobek/aranym800-debian
Homepage: https://atari800.github.io

Package: atari800
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Atari 8-bit emulator for SDL
 Atari800 is an emulator of Atari 8-bit computer systems including the 400, 800,
 1200XL, 600XL, 800XL, 65XE, 130XE, 800XE and the XE Game System,
 and also of the Atari 5200 SuperSystem console.
 .
 The Atari Operating System ROMs are not available with this package, due to
 copyright. You'll have to either make copies of them from an old Atari
 computer, or see README.Debian for other ways to obtain them.

=== debian/rules ===
#!/usr/bin/make -f
#
# This is a debian/rules make file. It supports the targets:
# build, clean, binary-indep, binary-arch, and binary
#
# Package name variables
#
P=atari800

ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# Build the binary components and assemble the libraries
# =====================================================================
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	$(checkdir)
	debian/rules bld-sdl
	touch build-stamp

bld-sdl:
	if [ -e Makefile ]; then $(MAKE) clean; fi
	./autogen.sh
	./configure \
		 --with-video=sdl --with-sound=sdl
	$(MAKE)

# Clean up after a build and before building a source package
#======================================================================
clean:
	$(checkdir)
	-rm -f build-stamp
	if [ -e Makefile ]; then $(MAKE) clean; fi; \
	 rm -f config.log config.status config.h Makefile
	mv ./atari800.spec ./tmp ; rm -f atari800 ; rm -f atari800.* ; mv ./tmp ./atari800.spec
	-rm -rf	debian/tmp debian/*~ *~ *.orig *.log \
		debian/files* debian/substvars*
	-rm -f data/atari800.xpm


install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	convert data/atari2.png -resize 32x32 data/atari800.xpm
	dh_install


binary: binary-arch

# No binary independent components to this package
binary-indep:
	echo "No independent binary components."

# Build architecture-independent files here.
binary-arch: build install binary-common

binary-common:
				dh_testdir
				dh_testroot
				dh_installdocs
				dh_installmenu
				dh_installcron
				dh_installman
				dh_installinfo
				dh_installchangelogs
				dh_link
				dh_strip
				dh_compress
				dh_fixperms
				dh_installdeb
				dh_shlibdeps
				dh_gencontrol
				dh_md5sums
				dh_builddeb

define checkdir
	test -f ./atari800.spec
endef

# Below here is fairly generic really
checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## atari800 4.2.0

=== debian/changelog ===
atari800 (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 25 May 2021 08:54:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
 Build-Depends: libsdl1.2-dev, zlib1g-dev, libreadline-dev, libgl1-mesa-dev, libpng-dev, imagemagick, dpkg-dev (>= 1.20), debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://github.com/bobek/aranym800-debian.git
 Vcs-Browser: https://github.com/bobek/aranym800-debian
 Homepage: https://atari800.github.io

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,6 @@
 
 bld-sdl:
 	if [ -e Makefile ]; then $(MAKE) clean; fi
-	./autogen.sh
 	./configure \
 		 --with-video=sdl --with-sound=sdl
 	$(MAKE)

## atari800 5.0.0

=== emuos/Makefile ===
# Altirra - Atari 800/800XL emulator
# Kernel ROM replacement
# Copyright (C) 2008-2020 Avery Lee
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.

MADS=mads
OUT=build

CDIR=../src/roms/

SRC_SHARED=\
 src/atarifont.inc \
 src/boot.s \
 src/cassette.s \
 src/cio.inc \
 src/cio.s \
 src/disk.s \
 src/editor.s \
 src/hardware.inc \
 src/init.s \
 src/interrupt.s \
 src/irq.s \
 src/kerneldb.inc \
 src/keyboard.s \
 src/keytable.s \
 src/mathpack.s \
 src/misc.s \
 src/printer.s \
 src/screenext.s \
 src/screen.s \
 src/sio.inc \
 src/sio.s \
 src/vbi.s \
 src/version.inc \

SRC_800=\
 src/blackboard.s \

SRC_XL=\
 src/atariifont.inc \
 src/bootscreen.s \
 src/driveimage.inc \
 src/pbi.s \
 src/phandler.s \
 src/selftestentry.s \

all:\
 $(CDIR)/altirraos_xl.c \
 $(CDIR)/altirraos_800.c \

# Rules to assemble XL and 800 kernel ROM
$(OUT)/altirraos_xl.rom: main.xasm $(SRC_XL) $(SRC_SHARED) | $(OUT)
	$(MADS) -d:_KERNEL_XLXE=1 -s -p -i:src -i:fnt -b:49152 -l:$(@:.rom=.lst) -t:$(@:.rom=.lab) -o:$@ $<


$(OUT)/altirraos_800.rom: main.xasm $(SRC_800) $(SRC_SHARED) | $(OUT)
	$(MADS) -d:_KERNEL_XLXE=0 -s -p -i:src -i:fnt -b:55296 -l:$(@:.rom=.lst) -t:$(@:.rom=.lab) -o:$@ $<

# Rules to convert ROM into HEX file
$(OUT)/%.hex: $(OUT)/%.rom
	hexdump  -ve '"\t" 8/1 "0x%02x," "\n"' < $< | sed -e '$$ s/,$$//' > $@

# Join the HEX file with the headers to get the C source files
$(CDIR)/%.c: %_head.in $(OUT)/%.hex template_tail.in
	cat $^ > $@

$(OUT):
	mkdir -p $(OUT)

clean:
	-rm -f $(OUT)/altirraos_800.lab
	-rm -f $(OUT)/altirraos_800.lst
	-rm -f $(OUT)/altirraos_800.rom
	-rm -f $(OUT)/altirraos_xl.lab
	-rm -f $(OUT)/altirraos_xl.lst
	-rm -f $(OUT)/altirraos_xl.rom
	-rmdir $(OUT)

=== src/win32/msc/Makefile ===
--- 
+++ 
@@ -36,7 +36,6 @@
 	crc32.obj \
 	cycle_map.obj \
 	devices.obj \
-	emuos.obj \
 	esc.obj \
 	gtia.obj \
 	img_tape.obj \
@@ -51,6 +50,7 @@
 	pokey.obj \
 	pokeysnd.obj \
 	remez.obj \
+	roms/altirra_5200_os.obj \
 	rtime.obj \
 	screen.obj \
 	sio.obj \

=== debian/changelog ===
atari800 (5.0.0-1) unstable; urgency=medium

  * New upstream release 5.0.0 -- released at Atariada.cz

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 10 Jun 2022 19:14:03 +0200

atari800 (4.2.0-4) unstable; urgency=medium

  * Switching to libeditreadline-dev to resolve licensing issue 
    (Closes: #977654)
  * Clarified in the d/copyright why we are in contrib
    (Closes: #977654)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 06 Oct 2021 20:55:50 +0200

atari800 (4.2.0-3) unstable; urgency=medium

  * Fine-tune of the desktop entry.

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 06 Oct 2021 12:41:38 +0200

atari800 (4.2.0-2) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Name (from ./configure), Repository,
    Repository-Browse.
  * Replace menu entry with desktop entry.

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 11 Sep 2021 05:09:16 -0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: contrib/otherosfs
 Priority: optional
 Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
-Build-Depends: libsdl1.2-dev, zlib1g-dev, libreadline-dev, libgl1-mesa-dev, libpng-dev, imagemagick, dpkg-dev (>= 1.20), debhelper-compat (= 12)
-Standards-Version: 4.5.1
+Build-Depends: libsdl1.2-dev, zlib1g-dev, libeditreadline-dev, libgl1-mesa-dev, libpng-dev, imagemagick, dpkg-dev (>= 1.21), debhelper-compat (= 13)
+Standards-Version: 4.6.0
 Vcs-Git: https://github.com/bobek/aranym800-debian.git
 Vcs-Browser: https://github.com/bobek/aranym800-debian
 Homepage: https://atari800.github.io

=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,6 @@
 				dh_testdir
 				dh_testroot
 				dh_installdocs
-				dh_installmenu
 				dh_installcron
 				dh_installman
 				dh_installinfo
